<?xml version="1.0" encoding="utf-8"?>
<xs:schema id="DAL" targetNamespace="http://tempuri.org/DAL.xsd" xmlns:mstns="http://tempuri.org/DAL.xsd" xmlns="http://tempuri.org/DAL.xsd" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata" xmlns:msprop="urn:schemas-microsoft-com:xml-msprop" attributeFormDefault="qualified" elementFormDefault="qualified">
  <xs:annotation>
    <xs:appinfo source="urn:schemas-microsoft-com:xml-msdatasource">
      <DataSource DefaultConnectionIndex="2" FunctionsComponentName="QueriesTableAdapter" GeneratorFunctionsComponentClassName="QueriesTableAdapter" Modifier="AutoLayout, AnsiClass, Class, Public" SchemaSerializationMode="IncludeSchema" UserFunctionsComponentName="QueriesTableAdapter" xmlns="urn:schemas-microsoft-com:xml-msdatasource">
        <Connections>
          <Connection AppSettingsObjectName="Web.config" AppSettingsPropertyName="CharterDotComConnectionString" ConnectionStringObject="" IsAppSettingsProperty="True" Modifier="Assembly" Name="CharterDotComConnectionString (Web.config)" ParameterPrefix="@" PropertyReference="AppConfig.System.Configuration.ConfigurationManager.0.ConnectionStrings.CharterDotComConnectionString.ConnectionString" Provider="System.Data.SqlClient">
          </Connection>
          <Connection AppSettingsObjectName="Web.config" AppSettingsPropertyName="CharterDotCom_CMSConnectionString" ConnectionStringObject="" IsAppSettingsProperty="True" Modifier="Assembly" Name="CharterDotCom_CMSConnectionString (Web.config)" ParameterPrefix="@" PropertyReference="AppConfig.System.Configuration.ConfigurationManager.0.ConnectionStrings.CharterDotCom_CMSConnectionString.ConnectionString" Provider="System.Data.SqlClient">
          </Connection>
        </Connections>
        <Tables>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="HtmlMetaTableAdapter" GeneratorDataComponentClassName="HtmlMetaTableAdapter" Name="HtmlMeta" UserDataComponentName="HtmlMetaTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="CharterDotComConnectionString (Web.config)" DbObjectName="[CharterDotCom ].[content].HtmlMeta" DbObjectType="Table" GenerateMethods="Get" GenerateShortCommands="True" GeneratorGetMethodName="GetData" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="False" UserGetMethodName="GetData" UserSourceName="GetData">
                <DeleteCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="False">
                    <CommandText>DELETE FROM [content].[HtmlMeta] WHERE (([MetaID] = @Original_MetaID))</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_MetaID" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="MetaID" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                    </Parameters>
                  </DbCommand>
                </DeleteCommand>
                <InsertCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="False">
                    <CommandText>INSERT INTO [content].[HtmlMeta] ([MetaAlias], [MetaName], [MetaContent], [Creator], [CreateDate]) VALUES (@MetaAlias, @MetaName, @MetaContent, @Creator, @CreateDate);
SELECT MetaID, MetaAlias, MetaName, MetaContent, Creator, CreateDate FROM [content].HtmlMeta WHERE (MetaID = SCOPE_IDENTITY())</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@MetaAlias" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="MetaAlias" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@MetaName" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="MetaName" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@MetaContent" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="MetaContent" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Creator" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Creator" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@CreateDate" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="CreateDate" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                    </Parameters>
                  </DbCommand>
                </InsertCommand>
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="True">
                    <CommandText>SELECT MetaID, MetaAlias, MetaName, MetaContent, Creator, CreateDate FROM [content].HtmlMeta</CommandText>
                    <Parameters>
                    </Parameters>
                  </DbCommand>
                </SelectCommand>
                <UpdateCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="False">
                    <CommandText>UPDATE [content].[HtmlMeta] SET [MetaAlias] = @MetaAlias, [MetaName] = @MetaName, [MetaContent] = @MetaContent, [Creator] = @Creator, [CreateDate] = @CreateDate WHERE (([MetaID] = @Original_MetaID));
SELECT MetaID, MetaAlias, MetaName, MetaContent, Creator, CreateDate FROM [content].HtmlMeta WHERE (MetaID = @MetaID)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@MetaAlias" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="MetaAlias" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@MetaName" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="MetaName" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@MetaContent" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="MetaContent" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Creator" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Creator" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@CreateDate" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="CreateDate" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_MetaID" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="MetaID" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="False" AutogeneratedName="MetaID" ColumnName="MetaID" DataSourceName="[CharterDotCom ].[content].HtmlMeta" DataTypeServer="int" DbType="Int32" Direction="Input" ParameterName="@MetaID" Precision="0" ProviderType="Int" Scale="0" Size="4" SourceColumn="MetaID" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                    </Parameters>
                  </DbCommand>
                </UpdateCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="MetaID" DataSetColumn="MetaID" />
              <Mapping SourceColumn="MetaName" DataSetColumn="MetaName" />
              <Mapping SourceColumn="MetaContent" DataSetColumn="MetaContent" />
              <Mapping SourceColumn="Creator" DataSetColumn="Creator" />
              <Mapping SourceColumn="CreateDate" DataSetColumn="CreateDate" />
              <Mapping SourceColumn="MetaAlias" DataSetColumn="MetaAlias" />
            </Mappings>
            <Sources>
            </Sources>
          </TableAdapter>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="Template_HtmlMetaTableAdapter" GeneratorDataComponentClassName="Template_HtmlMetaTableAdapter" Name="Template_HtmlMeta" UserDataComponentName="Template_HtmlMetaTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="CharterDotComConnectionString (Web.config)" DbObjectName="[CharterDotCom ].[content].Template_HtmlMeta" DbObjectType="Table" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="True" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="True" UserGetMethodName="GetData" UserSourceName="Fill">
                <DeleteCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="False">
                    <CommandText>DELETE FROM [content].[Template_HtmlMeta] WHERE (([TemplateID] = @Original_TemplateID) AND ([HtmlMetaID] = @Original_HtmlMetaID))</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_TemplateID" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="TemplateID" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_HtmlMetaID" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="HtmlMetaID" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                    </Parameters>
                  </DbCommand>
                </DeleteCommand>
                <InsertCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="False">
                    <CommandText>INSERT INTO [content].[Template_HtmlMeta] ([TemplateID], [HtmlMetaID]) VALUES (@TemplateID, @HtmlMetaID);
SELECT TemplateID, HtmlMetaID FROM [content].Template_HtmlMeta WHERE (HtmlMetaID = @HtmlMetaID) AND (TemplateID = @TemplateID)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@TemplateID" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="TemplateID" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@HtmlMetaID" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="HtmlMetaID" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                    </Parameters>
                  </DbCommand>
                </InsertCommand>
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="False">
                    <CommandText>SELECT TemplateID, HtmlMetaID FROM content.Template_HtmlMeta</CommandText>
                    <Parameters>
                    </Parameters>
                  </DbCommand>
                </SelectCommand>
                <UpdateCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="False">
                    <CommandText>UPDATE [content].[Template_HtmlMeta] SET [TemplateID] = @TemplateID, [HtmlMetaID] = @HtmlMetaID WHERE (([TemplateID] = @Original_TemplateID) AND ([HtmlMetaID] = @Original_HtmlMetaID));
SELECT TemplateID, HtmlMetaID FROM [content].Template_HtmlMeta WHERE (HtmlMetaID = @HtmlMetaID) AND (TemplateID = @TemplateID)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@TemplateID" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="TemplateID" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@HtmlMetaID" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="HtmlMetaID" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_TemplateID" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="TemplateID" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_HtmlMetaID" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="HtmlMetaID" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                    </Parameters>
                  </DbCommand>
                </UpdateCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="TemplateID" DataSetColumn="TemplateID" />
              <Mapping SourceColumn="HtmlMetaID" DataSetColumn="HtmlMetaID" />
            </Mappings>
            <Sources>
            </Sources>
          </TableAdapter>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="TemplateTableAdapter" GeneratorDataComponentClassName="TemplateTableAdapter" Name="Template" UserDataComponentName="TemplateTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="CharterDotComConnectionString (Web.config)" DbObjectName="[CharterDotCom ].[content].Template" DbObjectType="Table" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="True" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="True" UserGetMethodName="GetData" UserSourceName="Fill">
                <DeleteCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="False">
                    <CommandText>DELETE FROM [content].[Template] WHERE (([TemplateID] = @Original_TemplateID) AND ([TemplateName] = @Original_TemplateName) AND ([HeaderTitle] = @Original_HeaderTitle) AND ([CreateDate] = @Original_CreateDate) AND ([CreateBy_UserID] = @Original_CreateBy_UserID))</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_TemplateID" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="TemplateID" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_TemplateName" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="TemplateName" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_HeaderTitle" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="HeaderTitle" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@Original_CreateDate" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="CreateDate" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_CreateBy_UserID" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="CreateBy_UserID" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                    </Parameters>
                  </DbCommand>
                </DeleteCommand>
                <InsertCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="False">
                    <CommandText>INSERT INTO [content].[Template] ([TemplateName], [HeaderTitle], [LiveURL], [CreateDate], [CreateBy_UserID]) VALUES (@TemplateName, @HeaderTitle, @LiveURL, @CreateDate, @CreateBy_UserID);
SELECT TemplateID, TemplateName, HeaderTitle, LiveURL, CreateDate, CreateBy_UserID FROM [content].Template WHERE (TemplateID = SCOPE_IDENTITY())</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@TemplateName" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="TemplateName" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@HeaderTitle" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="HeaderTitle" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@LiveURL" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="LiveURL" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@CreateDate" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="CreateDate" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@CreateBy_UserID" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="CreateBy_UserID" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                    </Parameters>
                  </DbCommand>
                </InsertCommand>
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="False">
                    <CommandText>SELECT TemplateID, TemplateName, HeaderTitle, LiveURL, CreateDate, CreateBy_UserID FROM content.Template</CommandText>
                    <Parameters>
                    </Parameters>
                  </DbCommand>
                </SelectCommand>
                <UpdateCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="False">
                    <CommandText>UPDATE [content].[Template] SET [TemplateName] = @TemplateName, [HeaderTitle] = @HeaderTitle, [LiveURL] = @LiveURL, [CreateDate] = @CreateDate, [CreateBy_UserID] = @CreateBy_UserID WHERE (([TemplateID] = @Original_TemplateID) AND ([TemplateName] = @Original_TemplateName) AND ([HeaderTitle] = @Original_HeaderTitle) AND ([CreateDate] = @Original_CreateDate) AND ([CreateBy_UserID] = @Original_CreateBy_UserID));
SELECT TemplateID, TemplateName, HeaderTitle, LiveURL, CreateDate, CreateBy_UserID FROM [content].Template WHERE (TemplateID = @TemplateID)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@TemplateName" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="TemplateName" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@HeaderTitle" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="HeaderTitle" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@LiveURL" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="LiveURL" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@CreateDate" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="CreateDate" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@CreateBy_UserID" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="CreateBy_UserID" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_TemplateID" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="TemplateID" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_TemplateName" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="TemplateName" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_HeaderTitle" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="HeaderTitle" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@Original_CreateDate" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="CreateDate" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_CreateBy_UserID" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="CreateBy_UserID" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="False" AutogeneratedName="TemplateID" ColumnName="TemplateID" DataSourceName="" DataTypeServer="int" DbType="Int32" Direction="Input" ParameterName="@TemplateID" Precision="0" ProviderType="Int" Scale="0" Size="4" SourceColumn="TemplateID" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                    </Parameters>
                  </DbCommand>
                </UpdateCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="TemplateID" DataSetColumn="TemplateID" />
              <Mapping SourceColumn="TemplateName" DataSetColumn="TemplateName" />
              <Mapping SourceColumn="HeaderTitle" DataSetColumn="HeaderTitle" />
              <Mapping SourceColumn="LiveURL" DataSetColumn="LiveURL" />
              <Mapping SourceColumn="CreateDate" DataSetColumn="CreateDate" />
              <Mapping SourceColumn="CreateBy_UserID" DataSetColumn="CreateBy_UserID" />
            </Mappings>
            <Sources>
            </Sources>
          </TableAdapter>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="UsersTableAdapter" GeneratorDataComponentClassName="UsersTableAdapter" Name="Users" UserDataComponentName="UsersTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="CharterDotCom_CMSConnectionString (Web.config)" DbObjectName="CharterDotCom_CMS.[content].Users" DbObjectType="Table" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="True" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="True" UserGetMethodName="GetData" UserSourceName="Fill">
                <DeleteCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="False">
                    <CommandText>DELETE FROM [content].[Users] WHERE (([UserID] = @Original_UserID) AND ([UserName] = @Original_UserName) AND ((@IsNull_Password = 1 AND [Password] IS NULL) OR ([Password] = @Original_Password)) AND ((@IsNull_RoleID = 1 AND [RoleID] IS NULL) OR ([RoleID] = @Original_RoleID)) AND ((@IsNull_FirstName = 1 AND [FirstName] IS NULL) OR ([FirstName] = @Original_FirstName)) AND ((@IsNull_LastName = 1 AND [LastName] IS NULL) OR ([LastName] = @Original_LastName)) AND ((@IsNull_CreateDate = 1 AND [CreateDate] IS NULL) OR ([CreateDate] = @Original_CreateDate)) AND ((@IsNull_CreatedBy = 1 AND [CreatedBy] IS NULL) OR ([CreatedBy] = @Original_CreatedBy)) AND ((@IsNull_Email = 1 AND [Email] IS NULL) OR ([Email] = @Original_Email)) AND ((@IsNull_IsNewUser = 1 AND [IsNewUser] IS NULL) OR ([IsNewUser] = @Original_IsNewUser)) AND ((@IsNull_IsDisabled = 1 AND [IsDisabled] IS NULL) OR ([IsDisabled] = @Original_IsDisabled)))</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_UserID" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="UserID" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_UserName" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="UserName" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_Password" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Password" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_Password" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="Password" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_RoleID" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="RoleID" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_RoleID" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="RoleID" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_FirstName" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="FirstName" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_FirstName" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="FirstName" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_LastName" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="LastName" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_LastName" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="LastName" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_CreateDate" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="CreateDate" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@Original_CreateDate" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="CreateDate" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_CreatedBy" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="CreatedBy" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_CreatedBy" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="CreatedBy" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_Email" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Email" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_Email" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="Email" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_IsNewUser" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="IsNewUser" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Boolean" Direction="Input" ParameterName="@Original_IsNewUser" Precision="0" ProviderType="Bit" Scale="0" Size="0" SourceColumn="IsNewUser" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_IsDisabled" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="IsDisabled" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Boolean" Direction="Input" ParameterName="@Original_IsDisabled" Precision="0" ProviderType="Bit" Scale="0" Size="0" SourceColumn="IsDisabled" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                    </Parameters>
                  </DbCommand>
                </DeleteCommand>
                <InsertCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="False">
                    <CommandText>INSERT INTO [content].[Users] ([UserName], [Password], [RoleID], [FirstName], [LastName], [CreateDate], [CreatedBy], [Email], [IsNewUser], [IsDisabled]) VALUES (@UserName, @Password, @RoleID, @FirstName, @LastName, @CreateDate, @CreatedBy, @Email, @IsNewUser, @IsDisabled);
SELECT UserID, UserName, Password, RoleID, FirstName, LastName, CreateDate, CreatedBy, Email, IsNewUser, IsDisabled FROM [content].Users WHERE (UserID = SCOPE_IDENTITY())</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@UserName" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="UserName" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Password" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="Password" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@RoleID" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="RoleID" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@FirstName" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="FirstName" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@LastName" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="LastName" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@CreateDate" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="CreateDate" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@CreatedBy" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="CreatedBy" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Email" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="Email" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Boolean" Direction="Input" ParameterName="@IsNewUser" Precision="0" ProviderType="Bit" Scale="0" Size="0" SourceColumn="IsNewUser" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Boolean" Direction="Input" ParameterName="@IsDisabled" Precision="0" ProviderType="Bit" Scale="0" Size="0" SourceColumn="IsDisabled" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                    </Parameters>
                  </DbCommand>
                </InsertCommand>
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="False">
                    <CommandText>SELECT UserID, UserName, Password, RoleID, FirstName, LastName, CreateDate, CreatedBy, Email, IsNewUser, IsDisabled FROM content.Users</CommandText>
                    <Parameters>
                    </Parameters>
                  </DbCommand>
                </SelectCommand>
                <UpdateCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="False">
                    <CommandText>UPDATE [content].[Users] SET [UserName] = @UserName, [Password] = @Password, [RoleID] = @RoleID, [FirstName] = @FirstName, [LastName] = @LastName, [CreateDate] = @CreateDate, [CreatedBy] = @CreatedBy, [Email] = @Email, [IsNewUser] = @IsNewUser, [IsDisabled] = @IsDisabled WHERE (([UserID] = @Original_UserID) AND ([UserName] = @Original_UserName) AND ((@IsNull_Password = 1 AND [Password] IS NULL) OR ([Password] = @Original_Password)) AND ((@IsNull_RoleID = 1 AND [RoleID] IS NULL) OR ([RoleID] = @Original_RoleID)) AND ((@IsNull_FirstName = 1 AND [FirstName] IS NULL) OR ([FirstName] = @Original_FirstName)) AND ((@IsNull_LastName = 1 AND [LastName] IS NULL) OR ([LastName] = @Original_LastName)) AND ((@IsNull_CreateDate = 1 AND [CreateDate] IS NULL) OR ([CreateDate] = @Original_CreateDate)) AND ((@IsNull_CreatedBy = 1 AND [CreatedBy] IS NULL) OR ([CreatedBy] = @Original_CreatedBy)) AND ((@IsNull_Email = 1 AND [Email] IS NULL) OR ([Email] = @Original_Email)) AND ((@IsNull_IsNewUser = 1 AND [IsNewUser] IS NULL) OR ([IsNewUser] = @Original_IsNewUser)) AND ((@IsNull_IsDisabled = 1 AND [IsDisabled] IS NULL) OR ([IsDisabled] = @Original_IsDisabled)));
SELECT UserID, UserName, Password, RoleID, FirstName, LastName, CreateDate, CreatedBy, Email, IsNewUser, IsDisabled FROM [content].Users WHERE (UserID = @UserID)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@UserName" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="UserName" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Password" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="Password" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@RoleID" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="RoleID" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@FirstName" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="FirstName" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@LastName" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="LastName" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@CreateDate" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="CreateDate" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@CreatedBy" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="CreatedBy" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Email" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="Email" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Boolean" Direction="Input" ParameterName="@IsNewUser" Precision="0" ProviderType="Bit" Scale="0" Size="0" SourceColumn="IsNewUser" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Boolean" Direction="Input" ParameterName="@IsDisabled" Precision="0" ProviderType="Bit" Scale="0" Size="0" SourceColumn="IsDisabled" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_UserID" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="UserID" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_UserName" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="UserName" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_Password" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Password" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_Password" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="Password" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_RoleID" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="RoleID" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_RoleID" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="RoleID" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_FirstName" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="FirstName" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_FirstName" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="FirstName" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_LastName" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="LastName" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_LastName" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="LastName" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_CreateDate" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="CreateDate" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@Original_CreateDate" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="CreateDate" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_CreatedBy" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="CreatedBy" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_CreatedBy" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="CreatedBy" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_Email" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Email" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_Email" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="Email" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_IsNewUser" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="IsNewUser" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Boolean" Direction="Input" ParameterName="@Original_IsNewUser" Precision="0" ProviderType="Bit" Scale="0" Size="0" SourceColumn="IsNewUser" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_IsDisabled" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="IsDisabled" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Boolean" Direction="Input" ParameterName="@Original_IsDisabled" Precision="0" ProviderType="Bit" Scale="0" Size="0" SourceColumn="IsDisabled" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="False" AutogeneratedName="UserID" ColumnName="UserID" DataSourceName="" DataTypeServer="int" DbType="Int32" Direction="Input" ParameterName="@UserID" Precision="0" ProviderType="Int" Scale="0" Size="4" SourceColumn="UserID" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                    </Parameters>
                  </DbCommand>
                </UpdateCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="UserID" DataSetColumn="UserID" />
              <Mapping SourceColumn="UserName" DataSetColumn="UserName" />
              <Mapping SourceColumn="Password" DataSetColumn="Password" />
              <Mapping SourceColumn="RoleID" DataSetColumn="RoleID" />
              <Mapping SourceColumn="FirstName" DataSetColumn="FirstName" />
              <Mapping SourceColumn="LastName" DataSetColumn="LastName" />
              <Mapping SourceColumn="CreateDate" DataSetColumn="CreateDate" />
              <Mapping SourceColumn="CreatedBy" DataSetColumn="CreatedBy" />
              <Mapping SourceColumn="Email" DataSetColumn="Email" />
              <Mapping SourceColumn="IsNewUser" DataSetColumn="IsNewUser" />
              <Mapping SourceColumn="IsDisabled" DataSetColumn="IsDisabled" />
            </Mappings>
            <Sources>
            </Sources>
          </TableAdapter>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="User_RoleTableAdapter" GeneratorDataComponentClassName="User_RoleTableAdapter" Name="User_Role" UserDataComponentName="User_RoleTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="CharterDotCom_CMSConnectionString (Web.config)" DbObjectName="CharterDotCom_CMS.[content].User_Role" DbObjectType="Table" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="True" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="True" UserGetMethodName="GetData" UserSourceName="Fill">
                <DeleteCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="False">
                    <CommandText>DELETE FROM [content].[User_Role] WHERE (([UserID] = @Original_UserID) AND ([RoleID] = @Original_RoleID))</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_UserID" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="UserID" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_RoleID" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="RoleID" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                    </Parameters>
                  </DbCommand>
                </DeleteCommand>
                <InsertCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="False">
                    <CommandText>INSERT INTO [content].[User_Role] ([UserID], [RoleID]) VALUES (@UserID, @RoleID);
SELECT UserID, RoleID FROM [content].User_Role WHERE (RoleID = @RoleID) AND (UserID = @UserID)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@UserID" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="UserID" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@RoleID" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="RoleID" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                    </Parameters>
                  </DbCommand>
                </InsertCommand>
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="False">
                    <CommandText>SELECT UserID, RoleID FROM content.User_Role</CommandText>
                    <Parameters>
                    </Parameters>
                  </DbCommand>
                </SelectCommand>
                <UpdateCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="False">
                    <CommandText>UPDATE [content].[User_Role] SET [UserID] = @UserID, [RoleID] = @RoleID WHERE (([UserID] = @Original_UserID) AND ([RoleID] = @Original_RoleID));
SELECT UserID, RoleID FROM [content].User_Role WHERE (RoleID = @RoleID) AND (UserID = @UserID)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@UserID" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="UserID" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@RoleID" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="RoleID" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_UserID" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="UserID" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_RoleID" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="RoleID" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                    </Parameters>
                  </DbCommand>
                </UpdateCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="UserID" DataSetColumn="UserID" />
              <Mapping SourceColumn="RoleID" DataSetColumn="RoleID" />
            </Mappings>
            <Sources>
            </Sources>
          </TableAdapter>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="RoleTableAdapter" GeneratorDataComponentClassName="RoleTableAdapter" Name="Role" UserDataComponentName="RoleTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="CharterDotCom_CMSConnectionString (Web.config)" DbObjectName="CharterDotCom_CMS.[content].Role" DbObjectType="Table" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="True" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="True" UserGetMethodName="GetData" UserSourceName="Fill">
                <DeleteCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="False">
                    <CommandText>DELETE FROM [content].[Role] WHERE (([RoleID] = @Original_RoleID) AND ((@IsNull_RoleName = 1 AND [RoleName] IS NULL) OR ([RoleName] = @Original_RoleName)) AND ((@IsNull_RoleDescription = 1 AND [RoleDescription] IS NULL) OR ([RoleDescription] = @Original_RoleDescription)) AND ([ParentRoleID] = @Original_ParentRoleID) AND ([CreateDate] = @Original_CreateDate))</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_RoleID" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="RoleID" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_RoleName" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="RoleName" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_RoleName" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="RoleName" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_RoleDescription" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="RoleDescription" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_RoleDescription" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="RoleDescription" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_ParentRoleID" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="ParentRoleID" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@Original_CreateDate" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="CreateDate" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                    </Parameters>
                  </DbCommand>
                </DeleteCommand>
                <InsertCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="False">
                    <CommandText>INSERT INTO [content].[Role] ([RoleID], [RoleName], [RoleDescription], [ParentRoleID], [CreateDate]) VALUES (@RoleID, @RoleName, @RoleDescription, @ParentRoleID, @CreateDate);
SELECT RoleID, RoleName, RoleDescription, ParentRoleID, CreateDate FROM [content].Role WHERE (RoleID = @RoleID)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@RoleID" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="RoleID" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@RoleName" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="RoleName" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@RoleDescription" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="RoleDescription" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@ParentRoleID" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="ParentRoleID" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@CreateDate" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="CreateDate" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                    </Parameters>
                  </DbCommand>
                </InsertCommand>
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="False">
                    <CommandText>SELECT RoleID, RoleName, RoleDescription, ParentRoleID, CreateDate FROM content.Role</CommandText>
                    <Parameters>
                    </Parameters>
                  </DbCommand>
                </SelectCommand>
                <UpdateCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="False">
                    <CommandText>UPDATE [content].[Role] SET [RoleID] = @RoleID, [RoleName] = @RoleName, [RoleDescription] = @RoleDescription, [ParentRoleID] = @ParentRoleID, [CreateDate] = @CreateDate WHERE (([RoleID] = @Original_RoleID) AND ((@IsNull_RoleName = 1 AND [RoleName] IS NULL) OR ([RoleName] = @Original_RoleName)) AND ((@IsNull_RoleDescription = 1 AND [RoleDescription] IS NULL) OR ([RoleDescription] = @Original_RoleDescription)) AND ([ParentRoleID] = @Original_ParentRoleID) AND ([CreateDate] = @Original_CreateDate));
SELECT RoleID, RoleName, RoleDescription, ParentRoleID, CreateDate FROM [content].Role WHERE (RoleID = @RoleID)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@RoleID" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="RoleID" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@RoleName" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="RoleName" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@RoleDescription" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="RoleDescription" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@ParentRoleID" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="ParentRoleID" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@CreateDate" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="CreateDate" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_RoleID" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="RoleID" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_RoleName" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="RoleName" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_RoleName" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="RoleName" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_RoleDescription" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="RoleDescription" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_RoleDescription" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="RoleDescription" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_ParentRoleID" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="ParentRoleID" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@Original_CreateDate" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="CreateDate" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                    </Parameters>
                  </DbCommand>
                </UpdateCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="RoleID" DataSetColumn="RoleID" />
              <Mapping SourceColumn="RoleName" DataSetColumn="RoleName" />
              <Mapping SourceColumn="RoleDescription" DataSetColumn="RoleDescription" />
              <Mapping SourceColumn="ParentRoleID" DataSetColumn="ParentRoleID" />
              <Mapping SourceColumn="CreateDate" DataSetColumn="CreateDate" />
            </Mappings>
            <Sources>
              <DbSource ConnectionRef="CharterDotCom_CMSConnectionString (Web.config)" DbObjectName="CharterDotCom_CMS.[content].Role" DbObjectType="Table" GenerateMethods="Get" GenerateShortCommands="True" GeneratorGetMethodName="GetSystemRoles" GetMethodModifier="Public" GetMethodName="GetSystemRoles" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="True" UserGetMethodName="GetSystemRoles" UserSourceName="GetSystemRoles1">
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="True">
                    <CommandText>SELECT RoleID, RoleName, RoleDescription, ParentRoleID, CreateDate FROM content.Role
where roleid &gt; 3</CommandText>
                    <Parameters>
                    </Parameters>
                  </DbCommand>
                </SelectCommand>
              </DbSource>
            </Sources>
          </TableAdapter>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="GetUserRolesByIDTableAdapter" GeneratorDataComponentClassName="GetUserRolesByIDTableAdapter" Name="GetUserRolesByID" UserDataComponentName="GetUserRolesByIDTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="CharterDotCom_CMSConnectionString (Web.config)" DbObjectName="CharterDotCom_CMS.dbo.GetUserRolesByID" DbObjectType="StoredProcedure" GenerateMethods="Get" GenerateShortCommands="False" GeneratorGetMethodName="GetDataByID" GetMethodModifier="Public" GetMethodName="GetDataByID" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="False" UserGetMethodName="GetDataByID" UserSourceName="GetDataByID">
                <SelectCommand>
                  <DbCommand CommandType="StoredProcedure" ModifiedByUser="False">
                    <CommandText>dbo.GetUserRolesByID</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="ReturnValue" ParameterName="@RETURN_VALUE" Precision="10" ProviderType="Int" Scale="0" Size="4" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@id" Precision="10" ProviderType="Int" Scale="0" Size="4" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                    </Parameters>
                  </DbCommand>
                </SelectCommand>
              </DbSource>
            </MainSource>
            <Mappings>
            </Mappings>
            <Sources>
            </Sources>
          </TableAdapter>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="Template_CMSTableAdapter" GeneratorDataComponentClassName="Template_CMSTableAdapter" Name="Template_CMS" UserDataComponentName="Template_CMSTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="CharterDotCom_CMSConnectionString (Web.config)" DbObjectName="CharterDotCom_CMS.[content].Template" DbObjectType="Table" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="True" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="True" UserGetMethodName="GetData" UserSourceName="Fill">
                <InsertCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="False">
                    <CommandText>INSERT INTO [content].[Template] ([TemplateID], [TemplateName], [HeaderTitle], [LiveURL], [CreateDate], [CreateBy_UserID]) VALUES (@TemplateID, @TemplateName, @HeaderTitle, @LiveURL, @CreateDate, @CreateBy_UserID)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@TemplateID" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="TemplateID" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@TemplateName" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="TemplateName" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@HeaderTitle" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="HeaderTitle" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@LiveURL" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="LiveURL" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@CreateDate" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="CreateDate" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@CreateBy_UserID" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="CreateBy_UserID" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                    </Parameters>
                  </DbCommand>
                </InsertCommand>
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="False">
                    <CommandText>SELECT TemplateID, TemplateName, HeaderTitle, LiveURL, CreateDate, CreateBy_UserID FROM content.Template</CommandText>
                    <Parameters>
                    </Parameters>
                  </DbCommand>
                </SelectCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="TemplateID" DataSetColumn="TemplateID" />
              <Mapping SourceColumn="TemplateName" DataSetColumn="TemplateName" />
              <Mapping SourceColumn="HeaderTitle" DataSetColumn="HeaderTitle" />
              <Mapping SourceColumn="LiveURL" DataSetColumn="LiveURL" />
              <Mapping SourceColumn="CreateDate" DataSetColumn="CreateDate" />
              <Mapping SourceColumn="CreateBy_UserID" DataSetColumn="CreateBy_UserID" />
            </Mappings>
            <Sources>
              <DbSource ConnectionRef="CharterDotCom_CMSConnectionString (Web.config)" DbObjectName="CharterDotCom_CMS.[content].Template" DbObjectType="Table" GenerateMethods="Get" GenerateShortCommands="True" GeneratorGetMethodName="GetDataBy" GetMethodModifier="Public" GetMethodName="GetDataBy" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="True" UserGetMethodName="GetDataBy" UserSourceName="GetDataBy1">
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="True">
                    <CommandText>select * from content.template where templateid in(
select distinct templateid from content.template_users where userid = @userid and roleid=@roleid)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="False" AutogeneratedName="userid" ColumnName="" DataSourceName="" DataTypeServer="int" DbType="Int32" Direction="Input" ParameterName="@userid" Precision="0" Scale="0" Size="4" SourceColumn="" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="roleid" ColumnName="" DataSourceName="" DataTypeServer="int" DbType="Int32" Direction="Input" ParameterName="@roleid" Precision="0" Scale="0" Size="4" SourceColumn="" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                    </Parameters>
                  </DbCommand>
                </SelectCommand>
              </DbSource>
            </Sources>
          </TableAdapter>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="DeleteGlobalMetaEntryTableAdapter" GeneratorDataComponentClassName="DeleteGlobalMetaEntryTableAdapter" Name="DeleteGlobalMetaEntry" UserDataComponentName="DeleteGlobalMetaEntryTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="CharterDotComConnectionString (Web.config)" DbObjectName="[CharterDotCom ].dbo.DeleteGlobalMetaEntry" DbObjectType="StoredProcedure" GenerateMethods="Get" GenerateShortCommands="False" GeneratorGetMethodName="GetData" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="False" UserGetMethodName="GetData" UserSourceName="GetData">
                <SelectCommand>
                  <DbCommand CommandType="StoredProcedure" ModifiedByUser="False">
                    <CommandText>dbo.DeleteGlobalMetaEntry</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="ReturnValue" ParameterName="@RETURN_VALUE" Precision="10" ProviderType="Int" Scale="0" Size="4" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@htmlmetaid" Precision="10" ProviderType="Int" Scale="0" Size="4" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                    </Parameters>
                  </DbCommand>
                </SelectCommand>
              </DbSource>
            </MainSource>
            <Mappings>
            </Mappings>
            <Sources>
            </Sources>
          </TableAdapter>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="Content_OrganizationTableAdapter" GeneratorDataComponentClassName="Content_OrganizationTableAdapter" Name="Content_Organization" UserDataComponentName="Content_OrganizationTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="CharterDotCom_CMSConnectionString (Web.config)" DbObjectName="CharterDotCom_CMS.[content].Content_Organization" DbObjectType="Table" GenerateMethods="Get" GenerateShortCommands="False" GeneratorGetMethodName="GetData" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="False" UserGetMethodName="GetData" UserSourceName="Fill">
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="True">
                    <CommandText>select distinct ownerid from content.content_organization where usercontrolid= (select usercontrolid from content.usercontrol where usercontrolname=@usercontrolname) and ownertypeid= @ownertypeid
</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="False" AutogeneratedName="ownertypeid" ColumnName="OwnerTypeID" DataSourceName="CharterDotCom_CMS.[content].Content_Organization" DataTypeServer="int" DbType="Int32" Direction="Input" ParameterName="@ownertypeid" Precision="0" ProviderType="Int" Scale="0" Size="4" SourceColumn="OwnerTypeID" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="False" AutogeneratedName="usercontrolname" ColumnName="" DataSourceName="" DataTypeServer="varchar(100)" DbType="AnsiString" Direction="Input" ParameterName="@usercontrolname" Precision="0" Scale="0" Size="100" SourceColumn="" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                    </Parameters>
                  </DbCommand>
                </SelectCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="ownerid" DataSetColumn="ownerid" />
            </Mappings>
            <Sources>
            </Sources>
          </TableAdapter>
        </Tables>
        <Sources>
        </Sources>
      </DataSource>
    </xs:appinfo>
  </xs:annotation>
  <xs:element name="DAL" msdata:IsDataSet="true" msdata:UseCurrentLocale="true" msprop:Generator_UserDSName="DAL" msprop:Generator_DataSetName="DAL">
    <xs:complexType>
      <xs:choice minOccurs="0" maxOccurs="unbounded">
        <xs:element name="HtmlMeta" msprop:Generator_UserTableName="HtmlMeta" msprop:Generator_RowDeletedName="HtmlMetaRowDeleted" msprop:Generator_RowChangedName="HtmlMetaRowChanged" msprop:Generator_RowClassName="HtmlMetaRow" msprop:Generator_RowChangingName="HtmlMetaRowChanging" msprop:Generator_RowEvArgName="HtmlMetaRowChangeEvent" msprop:Generator_RowEvHandlerName="HtmlMetaRowChangeEventHandler" msprop:Generator_TableClassName="HtmlMetaDataTable" msprop:Generator_TableVarName="tableHtmlMeta" msprop:Generator_RowDeletingName="HtmlMetaRowDeleting" msprop:Generator_TablePropName="HtmlMeta">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="MetaID" msdata:ReadOnly="true" msdata:AutoIncrement="true" msprop:Generator_UserColumnName="MetaID" msprop:Generator_ColumnVarNameInTable="columnMetaID" msprop:Generator_ColumnPropNameInRow="MetaID" msprop:Generator_ColumnPropNameInTable="MetaIDColumn" type="xs:int" />
              <xs:element name="MetaAlias" msprop:Generator_UserColumnName="MetaAlias" msprop:Generator_ColumnPropNameInRow="MetaAlias" msprop:Generator_ColumnVarNameInTable="columnMetaAlias" msprop:Generator_ColumnPropNameInTable="MetaAliasColumn" type="xs:string" />
              <xs:element name="MetaName" msprop:Generator_UserColumnName="MetaName" msprop:Generator_ColumnVarNameInTable="columnMetaName" msprop:Generator_ColumnPropNameInRow="MetaName" msprop:Generator_ColumnPropNameInTable="MetaNameColumn">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="MetaContent" msprop:Generator_UserColumnName="MetaContent" msprop:Generator_ColumnVarNameInTable="columnMetaContent" msprop:Generator_ColumnPropNameInRow="MetaContent" msprop:Generator_ColumnPropNameInTable="MetaContentColumn">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="2147483647" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="Creator" msprop:Generator_UserColumnName="Creator" msprop:Generator_ColumnVarNameInTable="columnCreator" msprop:Generator_ColumnPropNameInRow="Creator" msprop:Generator_ColumnPropNameInTable="CreatorColumn" type="xs:int" />
              <xs:element name="CreateDate" msprop:Generator_UserColumnName="CreateDate" msprop:Generator_ColumnVarNameInTable="columnCreateDate" msprop:Generator_ColumnPropNameInRow="CreateDate" msprop:Generator_ColumnPropNameInTable="CreateDateColumn" type="xs:dateTime" />
            </xs:sequence>
          </xs:complexType>
        </xs:element>
        <xs:element name="Template_HtmlMeta" msprop:Generator_UserTableName="Template_HtmlMeta" msprop:Generator_RowDeletedName="Template_HtmlMetaRowDeleted" msprop:Generator_RowChangedName="Template_HtmlMetaRowChanged" msprop:Generator_RowClassName="Template_HtmlMetaRow" msprop:Generator_RowChangingName="Template_HtmlMetaRowChanging" msprop:Generator_RowEvArgName="Template_HtmlMetaRowChangeEvent" msprop:Generator_RowEvHandlerName="Template_HtmlMetaRowChangeEventHandler" msprop:Generator_TableClassName="Template_HtmlMetaDataTable" msprop:Generator_TableVarName="tableTemplate_HtmlMeta" msprop:Generator_RowDeletingName="Template_HtmlMetaRowDeleting" msprop:Generator_TablePropName="Template_HtmlMeta">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="TemplateID" msprop:Generator_UserColumnName="TemplateID" msprop:Generator_ColumnVarNameInTable="columnTemplateID" msprop:Generator_ColumnPropNameInRow="TemplateID" msprop:Generator_ColumnPropNameInTable="TemplateIDColumn" type="xs:int" />
              <xs:element name="HtmlMetaID" msprop:Generator_UserColumnName="HtmlMetaID" msprop:Generator_ColumnVarNameInTable="columnHtmlMetaID" msprop:Generator_ColumnPropNameInRow="HtmlMetaID" msprop:Generator_ColumnPropNameInTable="HtmlMetaIDColumn" type="xs:int" />
            </xs:sequence>
          </xs:complexType>
        </xs:element>
        <xs:element name="Template" msprop:Generator_UserTableName="Template" msprop:Generator_RowDeletedName="TemplateRowDeleted" msprop:Generator_RowChangedName="TemplateRowChanged" msprop:Generator_RowClassName="TemplateRow" msprop:Generator_RowChangingName="TemplateRowChanging" msprop:Generator_RowEvArgName="TemplateRowChangeEvent" msprop:Generator_RowEvHandlerName="TemplateRowChangeEventHandler" msprop:Generator_TableClassName="TemplateDataTable" msprop:Generator_TableVarName="tableTemplate" msprop:Generator_RowDeletingName="TemplateRowDeleting" msprop:Generator_TablePropName="Template">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="TemplateID" msdata:ReadOnly="true" msdata:AutoIncrement="true" msprop:Generator_UserColumnName="TemplateID" msprop:Generator_ColumnVarNameInTable="columnTemplateID" msprop:Generator_ColumnPropNameInRow="TemplateID" msprop:Generator_ColumnPropNameInTable="TemplateIDColumn" type="xs:int" />
              <xs:element name="TemplateName" msprop:Generator_UserColumnName="TemplateName" msprop:Generator_ColumnVarNameInTable="columnTemplateName" msprop:Generator_ColumnPropNameInRow="TemplateName" msprop:Generator_ColumnPropNameInTable="TemplateNameColumn">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="100" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="HeaderTitle" msprop:Generator_UserColumnName="HeaderTitle" msprop:Generator_ColumnVarNameInTable="columnHeaderTitle" msprop:Generator_ColumnPropNameInRow="HeaderTitle" msprop:Generator_ColumnPropNameInTable="HeaderTitleColumn">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="100" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="LiveURL" msprop:Generator_UserColumnName="LiveURL" msprop:Generator_ColumnVarNameInTable="columnLiveURL" msprop:Generator_ColumnPropNameInRow="LiveURL" msprop:Generator_ColumnPropNameInTable="LiveURLColumn">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="2147483647" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="CreateDate" msprop:Generator_UserColumnName="CreateDate" msprop:Generator_ColumnVarNameInTable="columnCreateDate" msprop:Generator_ColumnPropNameInRow="CreateDate" msprop:Generator_ColumnPropNameInTable="CreateDateColumn" type="xs:dateTime" />
              <xs:element name="CreateBy_UserID" msprop:Generator_UserColumnName="CreateBy_UserID" msprop:Generator_ColumnVarNameInTable="columnCreateBy_UserID" msprop:Generator_ColumnPropNameInRow="CreateBy_UserID" msprop:Generator_ColumnPropNameInTable="CreateBy_UserIDColumn" type="xs:int" />
            </xs:sequence>
          </xs:complexType>
        </xs:element>
        <xs:element name="Users" msprop:Generator_UserTableName="Users" msprop:Generator_RowDeletedName="UsersRowDeleted" msprop:Generator_RowChangedName="UsersRowChanged" msprop:Generator_RowClassName="UsersRow" msprop:Generator_RowChangingName="UsersRowChanging" msprop:Generator_RowEvArgName="UsersRowChangeEvent" msprop:Generator_RowEvHandlerName="UsersRowChangeEventHandler" msprop:Generator_TableClassName="UsersDataTable" msprop:Generator_TableVarName="tableUsers" msprop:Generator_RowDeletingName="UsersRowDeleting" msprop:Generator_TablePropName="Users">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="UserID" msdata:ReadOnly="true" msdata:AutoIncrement="true" msprop:Generator_UserColumnName="UserID" msprop:Generator_ColumnPropNameInRow="UserID" msprop:Generator_ColumnVarNameInTable="columnUserID" msprop:Generator_ColumnPropNameInTable="UserIDColumn" type="xs:int" />
              <xs:element name="UserName" msprop:Generator_UserColumnName="UserName" msprop:Generator_ColumnPropNameInRow="UserName" msprop:Generator_ColumnVarNameInTable="columnUserName" msprop:Generator_ColumnPropNameInTable="UserNameColumn">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="Password" msprop:Generator_UserColumnName="Password" msprop:Generator_ColumnPropNameInRow="Password" msprop:Generator_ColumnVarNameInTable="columnPassword" msprop:Generator_ColumnPropNameInTable="PasswordColumn" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="RoleID" msprop:Generator_UserColumnName="RoleID" msprop:Generator_ColumnPropNameInRow="RoleID" msprop:Generator_ColumnVarNameInTable="columnRoleID" msprop:Generator_ColumnPropNameInTable="RoleIDColumn" type="xs:int" minOccurs="0" />
              <xs:element name="FirstName" msprop:Generator_UserColumnName="FirstName" msprop:Generator_ColumnPropNameInRow="FirstName" msprop:Generator_ColumnVarNameInTable="columnFirstName" msprop:Generator_ColumnPropNameInTable="FirstNameColumn" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="LastName" msprop:Generator_UserColumnName="LastName" msprop:Generator_ColumnPropNameInRow="LastName" msprop:Generator_ColumnVarNameInTable="columnLastName" msprop:Generator_ColumnPropNameInTable="LastNameColumn" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="CreateDate" msprop:Generator_UserColumnName="CreateDate" msprop:Generator_ColumnPropNameInRow="CreateDate" msprop:Generator_ColumnVarNameInTable="columnCreateDate" msprop:Generator_ColumnPropNameInTable="CreateDateColumn" type="xs:dateTime" minOccurs="0" />
              <xs:element name="CreatedBy" msprop:Generator_UserColumnName="CreatedBy" msprop:Generator_ColumnPropNameInRow="CreatedBy" msprop:Generator_ColumnVarNameInTable="columnCreatedBy" msprop:Generator_ColumnPropNameInTable="CreatedByColumn" type="xs:int" minOccurs="0" />
              <xs:element name="Email" msprop:Generator_UserColumnName="Email" msprop:Generator_ColumnPropNameInRow="Email" msprop:Generator_ColumnVarNameInTable="columnEmail" msprop:Generator_ColumnPropNameInTable="EmailColumn" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="IsNewUser" msprop:Generator_UserColumnName="IsNewUser" msprop:Generator_ColumnPropNameInRow="IsNewUser" msprop:Generator_ColumnVarNameInTable="columnIsNewUser" msprop:Generator_ColumnPropNameInTable="IsNewUserColumn" type="xs:boolean" minOccurs="0" />
              <xs:element name="IsDisabled" msprop:Generator_UserColumnName="IsDisabled" msprop:Generator_ColumnPropNameInRow="IsDisabled" msprop:Generator_ColumnVarNameInTable="columnIsDisabled" msprop:Generator_ColumnPropNameInTable="IsDisabledColumn" type="xs:boolean" minOccurs="0" />
            </xs:sequence>
          </xs:complexType>
        </xs:element>
        <xs:element name="User_Role" msprop:Generator_UserTableName="User_Role" msprop:Generator_RowDeletedName="User_RoleRowDeleted" msprop:Generator_RowChangedName="User_RoleRowChanged" msprop:Generator_RowClassName="User_RoleRow" msprop:Generator_RowChangingName="User_RoleRowChanging" msprop:Generator_RowEvArgName="User_RoleRowChangeEvent" msprop:Generator_RowEvHandlerName="User_RoleRowChangeEventHandler" msprop:Generator_TableClassName="User_RoleDataTable" msprop:Generator_TableVarName="tableUser_Role" msprop:Generator_RowDeletingName="User_RoleRowDeleting" msprop:Generator_TablePropName="User_Role">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="UserID" msprop:Generator_UserColumnName="UserID" msprop:Generator_ColumnPropNameInRow="UserID" msprop:Generator_ColumnVarNameInTable="columnUserID" msprop:Generator_ColumnPropNameInTable="UserIDColumn" type="xs:int" />
              <xs:element name="RoleID" msprop:Generator_UserColumnName="RoleID" msprop:Generator_ColumnPropNameInRow="RoleID" msprop:Generator_ColumnVarNameInTable="columnRoleID" msprop:Generator_ColumnPropNameInTable="RoleIDColumn" type="xs:int" />
            </xs:sequence>
          </xs:complexType>
        </xs:element>
        <xs:element name="Role" msprop:Generator_UserTableName="Role" msprop:Generator_RowDeletedName="RoleRowDeleted" msprop:Generator_RowChangedName="RoleRowChanged" msprop:Generator_RowClassName="RoleRow" msprop:Generator_RowChangingName="RoleRowChanging" msprop:Generator_RowEvArgName="RoleRowChangeEvent" msprop:Generator_RowEvHandlerName="RoleRowChangeEventHandler" msprop:Generator_TableClassName="RoleDataTable" msprop:Generator_TableVarName="tableRole" msprop:Generator_RowDeletingName="RoleRowDeleting" msprop:Generator_TablePropName="Role">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="RoleID" msprop:Generator_UserColumnName="RoleID" msprop:Generator_ColumnVarNameInTable="columnRoleID" msprop:Generator_ColumnPropNameInRow="RoleID" msprop:Generator_ColumnPropNameInTable="RoleIDColumn" type="xs:int" />
              <xs:element name="RoleName" msprop:Generator_UserColumnName="RoleName" msprop:Generator_ColumnVarNameInTable="columnRoleName" msprop:Generator_ColumnPropNameInRow="RoleName" msprop:Generator_ColumnPropNameInTable="RoleNameColumn" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="100" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="RoleDescription" msprop:Generator_UserColumnName="RoleDescription" msprop:Generator_ColumnVarNameInTable="columnRoleDescription" msprop:Generator_ColumnPropNameInRow="RoleDescription" msprop:Generator_ColumnPropNameInTable="RoleDescriptionColumn" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="300" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="ParentRoleID" msprop:Generator_UserColumnName="ParentRoleID" msprop:Generator_ColumnVarNameInTable="columnParentRoleID" msprop:Generator_ColumnPropNameInRow="ParentRoleID" msprop:Generator_ColumnPropNameInTable="ParentRoleIDColumn" type="xs:int" />
              <xs:element name="CreateDate" msprop:Generator_UserColumnName="CreateDate" msprop:Generator_ColumnVarNameInTable="columnCreateDate" msprop:Generator_ColumnPropNameInRow="CreateDate" msprop:Generator_ColumnPropNameInTable="CreateDateColumn" type="xs:dateTime" />
            </xs:sequence>
          </xs:complexType>
        </xs:element>
        <xs:element name="GetUserRolesByID" msprop:Generator_UserTableName="GetUserRolesByID" msprop:Generator_RowDeletedName="GetUserRolesByIDRowDeleted" msprop:Generator_RowChangedName="GetUserRolesByIDRowChanged" msprop:Generator_RowClassName="GetUserRolesByIDRow" msprop:Generator_RowChangingName="GetUserRolesByIDRowChanging" msprop:Generator_RowEvArgName="GetUserRolesByIDRowChangeEvent" msprop:Generator_RowEvHandlerName="GetUserRolesByIDRowChangeEventHandler" msprop:Generator_TableClassName="GetUserRolesByIDDataTable" msprop:Generator_TableVarName="tableGetUserRolesByID" msprop:Generator_RowDeletingName="GetUserRolesByIDRowDeleting" msprop:Generator_TablePropName="GetUserRolesByID">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="RoleID" msprop:Generator_UserColumnName="RoleID" msprop:Generator_ColumnPropNameInRow="RoleID" msprop:Generator_ColumnVarNameInTable="columnRoleID" msprop:Generator_ColumnPropNameInTable="RoleIDColumn" type="xs:int" />
            </xs:sequence>
          </xs:complexType>
        </xs:element>
        <xs:element name="Template_CMS" msprop:Generator_UserTableName="Template_CMS" msprop:Generator_RowDeletedName="Template_CMSRowDeleted" msprop:Generator_RowChangedName="Template_CMSRowChanged" msprop:Generator_RowClassName="Template_CMSRow" msprop:Generator_RowChangingName="Template_CMSRowChanging" msprop:Generator_RowEvArgName="Template_CMSRowChangeEvent" msprop:Generator_RowEvHandlerName="Template_CMSRowChangeEventHandler" msprop:Generator_TableClassName="Template_CMSDataTable" msprop:Generator_TableVarName="tableTemplate_CMS" msprop:Generator_RowDeletingName="Template_CMSRowDeleting" msprop:Generator_TablePropName="Template_CMS">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="TemplateID" msprop:Generator_UserColumnName="TemplateID" msprop:Generator_ColumnVarNameInTable="columnTemplateID" msprop:Generator_ColumnPropNameInRow="TemplateID" msprop:Generator_ColumnPropNameInTable="TemplateIDColumn" type="xs:int" />
              <xs:element name="TemplateName" msprop:Generator_UserColumnName="TemplateName" msprop:Generator_ColumnVarNameInTable="columnTemplateName" msprop:Generator_ColumnPropNameInRow="TemplateName" msprop:Generator_ColumnPropNameInTable="TemplateNameColumn">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="100" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="HeaderTitle" msprop:Generator_UserColumnName="HeaderTitle" msprop:Generator_ColumnVarNameInTable="columnHeaderTitle" msprop:Generator_ColumnPropNameInRow="HeaderTitle" msprop:Generator_ColumnPropNameInTable="HeaderTitleColumn">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="100" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="LiveURL" msprop:Generator_UserColumnName="LiveURL" msprop:Generator_ColumnVarNameInTable="columnLiveURL" msprop:Generator_ColumnPropNameInRow="LiveURL" msprop:Generator_ColumnPropNameInTable="LiveURLColumn">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="2147483647" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="CreateDate" msprop:Generator_UserColumnName="CreateDate" msprop:Generator_ColumnVarNameInTable="columnCreateDate" msprop:Generator_ColumnPropNameInRow="CreateDate" msprop:Generator_ColumnPropNameInTable="CreateDateColumn" type="xs:dateTime" />
              <xs:element name="CreateBy_UserID" msprop:Generator_UserColumnName="CreateBy_UserID" msprop:Generator_ColumnVarNameInTable="columnCreateBy_UserID" msprop:Generator_ColumnPropNameInRow="CreateBy_UserID" msprop:Generator_ColumnPropNameInTable="CreateBy_UserIDColumn" type="xs:int" />
            </xs:sequence>
          </xs:complexType>
        </xs:element>
        <xs:element name="DeleteGlobalMetaEntry" msprop:Generator_UserTableName="DeleteGlobalMetaEntry" msprop:Generator_RowDeletedName="DeleteGlobalMetaEntryRowDeleted" msprop:Generator_RowChangedName="DeleteGlobalMetaEntryRowChanged" msprop:Generator_RowClassName="DeleteGlobalMetaEntryRow" msprop:Generator_RowChangingName="DeleteGlobalMetaEntryRowChanging" msprop:Generator_RowEvArgName="DeleteGlobalMetaEntryRowChangeEvent" msprop:Generator_RowEvHandlerName="DeleteGlobalMetaEntryRowChangeEventHandler" msprop:Generator_TableClassName="DeleteGlobalMetaEntryDataTable" msprop:Generator_TableVarName="tableDeleteGlobalMetaEntry" msprop:Generator_RowDeletingName="DeleteGlobalMetaEntryRowDeleting" msprop:Generator_TablePropName="DeleteGlobalMetaEntry">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="MetaID" msprop:Generator_UserColumnName="MetaID" msprop:Generator_ColumnVarNameInTable="columnMetaID" msprop:Generator_ColumnPropNameInRow="MetaID" msprop:Generator_ColumnPropNameInTable="MetaIDColumn" type="xs:unsignedInt" />
              <xs:element name="MetaAlias" msprop:Generator_UserColumnName="MetaAlias" msprop:Generator_ColumnVarNameInTable="columnMetaAlias" msprop:Generator_ColumnPropNameInRow="MetaAlias" msprop:Generator_ColumnPropNameInTable="MetaAliasColumn" type="xs:string" />
              <xs:element name="MetaName" msprop:Generator_UserColumnName="MetaName" msprop:Generator_ColumnVarNameInTable="columnMetaName" msprop:Generator_ColumnPropNameInRow="MetaName" msprop:Generator_ColumnPropNameInTable="MetaNameColumn" type="xs:string" />
              <xs:element name="MetaContent" msprop:Generator_UserColumnName="MetaContent" msprop:Generator_ColumnVarNameInTable="columnMetaContent" msprop:Generator_ColumnPropNameInRow="MetaContent" msprop:Generator_ColumnPropNameInTable="MetaContentColumn" type="xs:string" />
              <xs:element name="Creator" msprop:Generator_UserColumnName="Creator" msprop:Generator_ColumnVarNameInTable="columnCreator" msprop:Generator_ColumnPropNameInRow="Creator" msprop:Generator_ColumnPropNameInTable="CreatorColumn" type="xs:int" />
              <xs:element name="CreateDate" msprop:Generator_UserColumnName="CreateDate" msprop:Generator_ColumnVarNameInTable="columnCreateDate" msprop:Generator_ColumnPropNameInRow="CreateDate" msprop:Generator_ColumnPropNameInTable="CreateDateColumn" type="xs:dateTime" />
            </xs:sequence>
          </xs:complexType>
        </xs:element>
        <xs:element name="Content_Organization" msprop:Generator_UserTableName="Content_Organization" msprop:Generator_RowDeletedName="Content_OrganizationRowDeleted" msprop:Generator_TableClassName="Content_OrganizationDataTable" msprop:Generator_RowChangedName="Content_OrganizationRowChanged" msprop:Generator_RowClassName="Content_OrganizationRow" msprop:Generator_RowChangingName="Content_OrganizationRowChanging" msprop:Generator_RowEvArgName="Content_OrganizationRowChangeEvent" msprop:Generator_RowEvHandlerName="Content_OrganizationRowChangeEventHandler" msprop:Generator_TablePropName="Content_Organization" msprop:Generator_TableVarName="tableContent_Organization" msprop:Generator_RowDeletingName="Content_OrganizationRowDeleting">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="ownerid" msprop:Generator_UserColumnName="ownerid" msprop:Generator_ColumnPropNameInRow="ownerid" msprop:Generator_ColumnVarNameInTable="columnownerid" msprop:Generator_ColumnPropNameInTable="owneridColumn" type="xs:int" />
            </xs:sequence>
          </xs:complexType>
        </xs:element>
      </xs:choice>
    </xs:complexType>
    <xs:unique name="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:HtmlMeta" />
      <xs:field xpath="mstns:MetaID" />
    </xs:unique>
    <xs:unique name="Template_HtmlMeta_Constraint1" msdata:ConstraintName="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:Template_HtmlMeta" />
      <xs:field xpath="mstns:TemplateID" />
      <xs:field xpath="mstns:HtmlMetaID" />
    </xs:unique>
    <xs:unique name="Template_Constraint1" msdata:ConstraintName="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:Template" />
      <xs:field xpath="mstns:TemplateID" />
    </xs:unique>
    <xs:unique name="Users_Constraint1" msdata:ConstraintName="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:Users" />
      <xs:field xpath="mstns:UserID" />
    </xs:unique>
    <xs:unique name="User_Role_Constraint1" msdata:ConstraintName="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:User_Role" />
      <xs:field xpath="mstns:UserID" />
      <xs:field xpath="mstns:RoleID" />
    </xs:unique>
    <xs:unique name="Role_Constraint1" msdata:ConstraintName="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:Role" />
      <xs:field xpath="mstns:RoleID" />
    </xs:unique>
    <xs:unique name="GetUserRolesByID_Constraint1" msdata:ConstraintName="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:GetUserRolesByID" />
      <xs:field xpath="mstns:RoleID" />
    </xs:unique>
    <xs:unique name="DeleteGlobalMetaEntry_Constraint1" msdata:ConstraintName="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:DeleteGlobalMetaEntry" />
      <xs:field xpath="mstns:MetaID" />
    </xs:unique>
    <xs:unique name="Content_Organization_Constraint1" msdata:ConstraintName="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:Content_Organization" />
      <xs:field xpath="mstns:ownerid" />
    </xs:unique>
  </xs:element>
</xs:schema>